mconv_putc(3m17n)

NAME
mconv_putc - Write a character via a code converter.

SYNOPSIS
int mconv_putc (MConverter * converter, int c)

DESCRIPTION
Write a character via a code converter.

The mconv_putc() function writes character c to the buffer area or the stream that is currently bound to code converter converter. The encoder of converter is used to encode the character. The number of bytes actually written is set to the nbytes member of converter. The internal status of converter is updated appropriately.

RETURN VALUE

    If the operation was successful, mconv_putc() returns c. If an error is detected, it returns EOF and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_CODING, MERROR_IO, MERROR_CHAR

SEE ALSO

    mconv_getc(), mconv_ungetc(), mconv_gets()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.